> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Find or create device

> Finds or creates a biometrics device associated with a counterparty.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json POST /biometrics/devices
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/devices:
    post:
      tags:
        - biometrics
      summary: Find or create biometrics device
      description: Finds or creates a biometrics device associated with a counterparty.
      operationId: TrioInitiationWeb.Biometrics.DeviceController.find_or_create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Device_find_or_create_parameters'
        description: Device find or create parameters
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Device_response'
          description: Device
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Device_find_or_create_parameters:
      description: Parameters for finding or creating a biometrics device
      example:
        account_tenure: '2023-01-01'
        counterparty_name: Ronaldo Nazário de Lima
        counterparty_tax_number: '86229976005'
        fingerprint: fingerprint_example
        language: pt-BR
        os: iOS
        os_version: '15.4'
        load_enrollments: false
        screen_height: '1136'
        screen_width: '640'
        timezone_offset: '-03:00'
      properties:
        account_tenure:
          description: Account tenure
          type: string
        counterparty_name:
          description: Counterparty name
          type: string
        counterparty_tax_number:
          description: Counterparty tax number
          type: string
        fingerprint:
          description: Device fingerprint
          type: string
        language:
          description: Language
          type: string
        os:
          description: Operating system
          type: string
        os_version:
          description: OS version
          type: string
        load_enrollments:
          description: load enrollments
          nullable: true
          type: boolean
        screen_height:
          description: Screen height
          type: string
        screen_width:
          description: Screen width
          type: string
        timezone_offset:
          description: Timezone offset
          type: string
      required:
        - counterparty_tax_number
        - counterparty_name
        - fingerprint
        - account_tenure
        - language
        - os
        - os_version
        - screen_width
        - screen_height
        - timezone_offset
      title: Device_find_or_create_parameters
      type: object
    Device_response:
      description: Response schema for a biometrics device
      example:
        data:
          account_tenure: '2022-01-01'
          counterparty_id: 019f9fbf-2cba-e739-5b73-4921e5fee3e2
          fingerprint: device-fingerprint-unique-id
          id: 019f9fbf-2cba-8348-bcfe-5abfc1464f79
          inserted_at: '2026-07-26T00:00:00Z'
          language: pt-BR
          os: Android
          os_version: '14'
          screen_height: 2400
          screen_width: 1080
          timezone_offset: '-03'
          updated_at: '2026-07-26T00:00:00Z'
      properties:
        data:
          $ref: '#/components/schemas/Device'
      title: Device_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Device:
      description: A biometrics device
      example:
        account_tenure: '2023-01-01'
        counterparty_id: 019f9fbf-2c94-7193-fd30-47955e3fde9e
        fingerprint: fingerprint_example
        id: 019f9fbf-2c94-2361-0226-a2feb129698b
        inserted_at: '2026-07-26T00:00:00Z'
        language: pt-BR
        os: iOS
        os_version: '15.4'
        screen_height: '1136'
        screen_width: '640'
        timezone_offset: '-03:00'
        updated_at: '2026-07-26T00:00:00Z'
      properties:
        account_tenure:
          description: Account tenure
          type: string
        counterparty_id:
          description: Counterparty ID
          format: uuid
          type: string
        fingerprint:
          description: Device fingerprint
          type: string
        id:
          description: Device ID
          format: uuid
          type: string
        inserted_at:
          description: Created at
          format: date-time
          type: string
        language:
          description: Language
          type: string
        os:
          description: Operating system
          type: string
        os_version:
          description: OS version
          type: string
        screen_height:
          description: Screen height
          type: string
        screen_width:
          description: Screen width
          type: string
        timezone_offset:
          description: Timezone offset
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Device
      type: object

````